## AwnPixbufCache AwnPixbufCache |

## Functions

void | awn_pixbuf_cache_insert_pixbuf ()
void | awn_pixbuf_cache_insert_null_result ()
GdkPixbuf * | awn_pixbuf_cache_lookup ()
GdkPixbuf * | awn_pixbuf_cache_lookup_simple_key ()
void | awn_pixbuf_cache_insert_pixbuf_simple_key ()
void | awn_pixbuf_cache_invalidate ()
AwnPixbufCache * | awn_pixbuf_cache_new ()
AwnPixbufCache * | awn_pixbuf_cache_get_default ()

## Properties

guint | max-cache-size | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── AwnPixbufCache

## Description

## Functions

### awn_pixbuf_cache_insert_pixbuf ()

    void
    awn_pixbuf_cache_insert_pixbuf (AwnPixbufCache *pixbuf_cache,
                                    GdkPixbuf *pbuf,
                                    const gchar *scope,
                                    const gchar *theme_name,
                                    const gchar *icon_name);

### awn_pixbuf_cache_insert_null_result ()

    void
    awn_pixbuf_cache_insert_null_result (AwnPixbufCache *pixbuf_cache,
                                         const gchar *scope,
                                         const gchar *theme_name,
                                         const gchar *icon_name,
                                         gint width,
                                         gint height);

### awn_pixbuf_cache_lookup ()

    GdkPixbuf *
    awn_pixbuf_cache_lookup (AwnPixbufCache *pixbuf_cache,
                             const gchar *scope,
                             const gchar *theme_name,
                             const gchar *icon_name,
                             gint width,
                             gint height,
                             gboolean *null_result);

### awn_pixbuf_cache_lookup_simple_key ()

    GdkPixbuf *
    awn_pixbuf_cache_lookup_simple_key (AwnPixbufCache *pixbuf_cache,
                                        const gchar *simple_key,
                                        gint width,
                                        gint height);

### awn_pixbuf_cache_insert_pixbuf_simple_key ()

    void
    awn_pixbuf_cache_insert_pixbuf_simple_key
                                   (AwnPixbufCache *pixbuf_cache,
                                    GdkPixbuf *pbuf,
                                    const gchar *simple_key);

### awn_pixbuf_cache_invalidate ()

    void
    awn_pixbuf_cache_invalidate (AwnPixbufCache *pixbuf_cache);

### awn_pixbuf_cache_new ()

    AwnPixbufCache *
    awn_pixbuf_cache_new (void);

### awn_pixbuf_cache_get_default ()

    AwnPixbufCache *
    awn_pixbuf_cache_get_default (void);

## Types and Values

## Property Details

### The `“max-cache-size”` property

      “max-cache-size”           guint

Maximum number of pixbufs in the cache.

Flags: Read / Write / Construct

Allowed values: <= 10000

Default value: 25